include graphics.e 
 
global constant PANTALLA = 1, M_CURRENT_DIR = 23 
global integer Arial10
Arial10 = load_font("sans10.f")
 
--={ Escribir en un lugar determinando / Write in a determinate place }=-- 
global procedure texto(atom ax,atom ay,sequence testo) 
    position(ax,ay) 
    puts(PANTALLA,testo) 
end procedure 
--={ texto - FIN / END }=-- 
 
--={ Dibujar una linea / Draw a line }=-- 
global procedure linea(object a,sequence b) 
    draw_line(a,b) 
end procedure 
--={ linea - FIN / END }=-- 
 
--={ Crear una caja / Make a box }=-- 
global procedure caja(sequence c, sequence f) 
    integer d, dd, g, gg 
    d = c[1] - 3 
    dd = c[2] - 3 
    g = f[1] - 3 
    gg = f[2] - 3 
    draw_line(GRAY, {{dd-1,d-1},{gg+1,d-1},{gg+1,g+1},{dd-1,g+1},{dd-1,d-1}}) 
    draw_line(WHITE, {{dd,d},{gg,d},{gg,g},{dd,g},{dd,d}}) 
end procedure 
--={ caja - FIN / END } 
 
--={ Crear una ventana / Make a window }=-- 
global procedure winven(object vwcolor, atom vx, atom vy, atom wx, atom wy, sequence vwnombre, sequence vwtitulo) 
    atom wwx, wwy, vvx
    wwx = vx + wx 
    wwy = vy + wy 
    vvx = vx - 20 
    set_background(BLUE) 
    set_foreground(BRIGHT_WHITE) 
    setx(vy+15) 
    sety(vvx+3) 
    polygon(BLUE, 1, {{vy,vvx},{wwy,vvx},{wwy,vx},{vy,vx}}) 
    write(vwnombre & " - " & vwtitulo) 
    polygon(vwcolor, 1, {{vy,vx},{wwy,vx},{wwy,wwx},{vy,wwx}}) 
    caja({vvx+3,vy+3}, {vvx+wx+23,vy+wy+3}) 
end procedure 
--={ winven - FIN / END }=-- 
 
--={ Crear una ventana de info / Make an info window }=-- 
global procedure wininfo(object vwcolor, atom vx, atom vy, atom wx, sequence vwnombre, sequence vwtitulo, sequence vwboton, sequence vwtexto) 
    atom wy, wwx, wwy, vvx, botony, botonyy, botonx 
    wy = length(vwtexto)*8+4
    wwx = vx + wx 
    wwy = vy + wy 
    vvx = vx - 20 
    set_background(BLUE) 
    set_foreground(BRIGHT_WHITE) 
    setx(vy+15) 
    sety(vvx+3) 
    polygon(BLUE, 1, {{vy,vvx},{wwy,vvx},{wwy,vx},{vy,vx}}) 
    write(vwnombre & " - " & vwtitulo) 
    polygon(vwcolor, 1, {{vy,vx},{wwy,vx},{wwy,wwx},{vy,wwx}}) 
    caja({vvx+3,vy+3}, {vvx+wx+23,vy+wy+3}) 
    botony = wy/2
    botony = botony+vy
    botony = botony-8*length(vwboton)/2
    botonyy = botony+8*length(vwboton)
    botonx = vx+wx-23
    caja({botonx,botony},{botonx+20,botonyy+4}) 
    zonas_win_mouse = append(zonas_win_mouse,{botony-4,botonx-4,botonyy+4,botonx+18})
    sety(botonx)
    setx(vy+wy/2)
    set_background(vwcolor)
    set_foreground(GRAY)
    select_font(Arial10)
    justify(CENTRE)
    write(vwboton)
    sety(vx+7)
    setx(vy+wy/2)
    write(vwtexto)
    select_font(ROM)
    justify(LEFT)
end procedure 
--={ wininfo - FIN / END }=-- 
 
--={ Cambiar modo de grficos / Change graphics mode }=-- 
global procedure modo(atom m) 
    if graphics_mode(m) then 
        puts(1, "ERROR: Modo de graficos no se pudo obtener") 
        abort(1) 
    end if 
end procedure 
--={ modo - FIN / END }=-- 
 
--={ current_dir() - Sacada de install.ex / 
-- current_dir() - Extracted from install.ex }=-- 
global function current_dir() 
    return machine_func(M_CURRENT_DIR, 0) 
end function 
--={ current_dir - FIN / END }=-- 
 
 
